/*
 * Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.analytics.webservice.beans;

import java.io.Serializable;

/**
 * Bean class for representing the table schema
 */
public class AnalyticsSchemaBean implements Serializable {

    private static final long serialVersionUID = -3948980132143204970L;
    private SchemaColumnBean[] columns;
    private String[] primaryKeys;

    public AnalyticsSchemaBean() {
    }

    public AnalyticsSchemaBean(
            SchemaColumnBean[] columns, String[] primaryKeys) {
        this.columns = columns;
        this.primaryKeys = primaryKeys;
    }

    public SchemaColumnBean[] getColumns() {
        return columns;
    }

    public void setColumns(SchemaColumnBean[] columns) {
        this.columns = columns;
    }

    public String[] getPrimaryKeys() {
        return primaryKeys;
    }

    public void setPrimaryKeys(String[] primaryKeys) {
        this.primaryKeys = primaryKeys;
    }
}
